Loading...
Searching...
No Matches
Halide::Runtime::Internal::DefaultAllocatorFns Struct Reference

`#include <HalideBuffer.h>`

## Static Public Attributes

static void *(* | default_allocate_fn )(size_t) = nullptr
static void(* | default_deallocate_fn )(void *) = nullptr

## Detailed Description

Definition at line 160 of file HalideBuffer.h.

## Member Data Documentation

## default_allocate_fn

void *(* Halide::Runtime::Internal::DefaultAllocatorFns::default_allocate_fn) (size_t) = nullptr

inline static

Definition at line 161 of file HalideBuffer.h.

Referenced by Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::allocate(), and Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::set_default_allocate_fn().

## default_deallocate_fn

void(* Halide::Runtime::Internal::DefaultAllocatorFns::default_deallocate_fn) (void *) = nullptr

inline static

Definition at line 162 of file HalideBuffer.h.

Referenced by Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::allocate(), and Halide::Runtime::Buffer< T, Dims, InClassDimStorage >::set_default_deallocate_fn().

The documentation for this struct was generated from the following file:

- src/runtime/HalideBuffer.h